
Redmine - Defect #8012

Wrong selection of modules when adding new project after validation error

2011-03-29 15:21 - Maxim Krušina

Status: Closed Start date: 2011-03-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version: 1.1.1

Description

I'm creating new project.

On New project page I filled entire form, clicked Save.

There was an error, so page reloaded, in the upper part is error in red field.

All form elements are rendered in correct state (I believe), but Checkboxes in Modules section are all turned on, even I preselected

only few of them.

Correct behaviour should be that selection of modules will keep the same as selected by user.

Associated revisions

Revision 5265 - 2011-03-30 19:16 - Jean-Philippe Lang

Modules selection lost on project form after validation failure (#8012).

History

#1 - 2011-03-29 18:14 - Etienne Massip

- Target version set to Candidate for next minor release

Confirmed.

#2 - 2011-03-30 19:16 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed

Fixed in r5265.

#3 - 2011-04-29 09:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#4 - 2011-10-25 12:37 - Bertrand Dubose
